## kshutdown-trinity 14.0.4

=== debian/changelog ===
kshutdown-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:44:17 +0200

kshutdown-trinity (1.0.4-1) unstable; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Jul 2013 02:25:45 +0200

kshutdown (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Updated standard version to 3.8.1 
  * Dropped patch fixing deprecated desktop entries (fixed upstream). 
  * Bumped compat level to 7.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Mar 2009 13:36:48 +0100

kshutdown (1.0.3-1) unstable; urgency=low

  * New upstream release 
  * Refreshed patch
  * Updated standard version to 3.8.0

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 20 Jun 2008 02:33:51 +0200

kshutdown (1.0.2-1) unstable; urgency=low

  * New upstream release 
  * Updated standard version to 3.7.3 (no changes)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Dec 2007 01:38:55 +0100

kshutdown (1.0.1-2) unstable; urgency=low

  * Added linker flags to remove non-needed link dependencies.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 21 Nov 2007 09:51:59 +0100

kshutdown (1.0.1-1) unstable; urgency=low

  * New upstream release 
  * Fixed watch file (thanks to Raphael Geissert)
    Closes: #449772

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 18 Nov 2007 14:39:07 +0100

kshutdown (1.0-1) unstable; urgency=low

  * New upstream release. 
  * Fix for FTBFS with GCC 4.3 applied upstream
  Closes: #417301

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 Apr 2007 13:41:01 +0200

kshutdown (0.9.1~beta-1) experimental; urgency=low

  * First upload of the next release to experimental.
  * Updated debian standards
  * Added workaround for buggy rpath setting
  * Switched to cdbs' kde class

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 21 Feb 2007 02:10:26 +0100

kshutdown (0.8.2-1) unstable; urgency=low

  * New upstream release 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 Feb 2006 03:08:46 +0100

kshutdown (0.8-1) unstable; urgency=low

  * New upstream release
  * Added swedish translation (Closes: #337551)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 29 Nov 2005 02:30:38 +0100

kshutdown (0.6.0-4) unstable; urgency=low

  * Workaround for FTBFS on some arch (see gcc Bug#323133) 

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  5 Sep 2005 19:54:24 +0200

kshutdown (0.6.0-3) unstable; urgency=low

  * New upload to rebuild against new KDE and C++ libraries. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  5 Sep 2005 11:00:11 +0200

kshutdown (0.6.0-2) unstable; urgency=low

  * Minor Debian fixes. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 May 2005 11:35:55 +0200

kshutdown (0.6.0-1) unstable; urgency=low

  * Initial Release. (closes: #305843)

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 14 Apr 2005 02:05:09 +0200

## kshutdown-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kshutdown )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                                     )
option( BUILD_EXTRAS "Build extras" ${BUILD_ALL}                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}                 )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL}         )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME}  )
add_subdirectory( kshutdownlockout )
add_subdirectory( karamba          )
add_subdirectory( sounds           )
add_subdirectory( pics             )
tde_conditional_add_subdirectory( BUILD_EXTRAS extras   )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kshutdown-trinity 14.0.5

=== debian/changelog ===
kshutdown-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:20:50 +0200

=== debian/control ===
Source: kshutdown-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 7.0.50~), automake, libtool, tdelibs14-trinity-dev
Standards-Version: 3.8.1

Package: kshutdown-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an advanced shut down utility for TDE
 It has 4 main commands:
 .
  - Shut Down (logout and halt the system),
  - Reboot (logout and reboot the system),
  - Lock Screen (lock the screen using a screen saver),
  - Logout (end the session and logout the user).
 .
 It features time and delay options, command line support, wizard,
 and sounds.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

binary-install/kshutdown-trinity::
	dh_testdir
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://sf.net/kshutdown/kshutdown-(.*(?<!beta))\.tar\.bz2

## kshutdown-trinity 14.0.6

=== debian/changelog ===
kshutdown-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 7.0.50~), automake, libtool, tdelibs14-trinity-dev
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.1
 
 Package: kshutdown-trinity

## kshutdown-trinity 14.0.8

=== debian/changelog ===
kshutdown-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:38 +0200

## kshutdown-trinity 14.0.9

=== debian/changelog ===
kshutdown-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:11:48 +0200

## kshutdown-trinity 14.0.10

=== debian/changelog ===
kshutdown-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kshutdown-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.1
 
 Package: kshutdown-trinity

## kshutdown-trinity 14.0.11

=== debian/changelog ===
kshutdown-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 09:34:28 +0200

## kshutdown-trinity 14.0.12

=== debian/changelog ===
kshutdown-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:47 +0100

## kshutdown-trinity 14.0.13

=== debian/changelog ===
kshutdown-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 12:04:40 +0200

## kshutdown-trinity 14.1.0

=== debian/changelog ===
kshutdown-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kshutdown-trinity 14.1.1

=== debian/changelog ===
kshutdown-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 12:19:56 +0200

## kshutdown-trinity 14.1.2

=== debian/changelog ===
kshutdown-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Apr 2024 01:59:41 +0200

## kshutdown-trinity 14.1.3

=== debian/changelog ===
kshutdown-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Sep 2024 23:09:12 +0200

## kshutdown-trinity 14.1.4

=== debian/changelog ===
kshutdown-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kshutdown-trinity 14.1.5~pre2

=== debian/changelog ===
kshutdown-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 8537b52c7a62b88bfb7ef19917520e1d166e2bcd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kshutdown-trinity 14.1.5

=== extras/CMakeLists.txt ===
file( GLOB _files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} .directory *.desktop )

tde_create_translated_desktop(
    SOURCE ${_files}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/extras
    PO_DIR extras
)

tde_auto_add_subdirectories( )

=== karamba/CMakeLists.txt ===
install(
    FILES
        ${PROJECT_NAME}-48x48.png
        ${PROJECT_NAME}-classic-notext.theme
        ${PROJECT_NAME}-classic-text.theme
        
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/karamba
)

=== kshutdownlockout/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kshutdownlockout_panelapplet (kpart)

tde_add_kpart( kshutdownlockout_panelapplet AUTOMOC

  SOURCES
        lockout.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kshutdownlockout.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    PO_DIR ${PROJECT_NAME}.desktop
)

=== extras/system/CMakeLists.txt ===
file( GLOB _files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} .directory *.desktop )

tde_create_translated_desktop(
    SOURCE ${_files}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/extras/system
    PO_DIR extras
)

=== debian/changelog ===
kshutdown-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.1
 
 Package: kshutdown-trinity

## kshutdown-trinity 14.1.6~pre0

=== debian/changelog ===
kshutdown-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8537b52c7a62b88bfb7ef19917520e1d166e2bcd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kshutdown-trinity 14.1.6~pre1

=== debian/changelog ===
kshutdown-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9c7b8ae5afe3206b100325e044dd613e15eb477c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:05:22 +0100

## kshutdown-trinity 14.1.6~pre2

=== debian/changelog ===
kshutdown-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 541aa948e8f1ed7694d61bf78c86f8fb1c093be8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Jan 2026 22:29:47 +0100

## kshutdown-trinity 14.2.0~pre47

=== sounds/CMakeLists.txt ===
install(
    FILES
        COPYRIGHT
        1m.ogg
        5m.ogg

    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/sounds
)

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== debian/changelog ===
kshutdown-trinity (4:14.2.0~pre47-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 717e8bef26be73a9641916fc55cd052d79e13dd0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kshutdown-trinity 14.2.0~pre48

=== debian/changelog ===
kshutdown-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for bfcb8f22f3ed359743bbdf38bd10671574182870
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:07:10 +0100

## kshutdown-trinity 14.2.0~pre49

=== debian/changelog ===
kshutdown-trinity (4:14.2.0~pre49-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 026ddab11e54f405c9d270be7e958ec847be8d63
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshutdown

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 23:51:48 +0100
